#! /usr/bin/awk -f


BEGIN {
  # indicates that neither 4990 or evm are found
  result = 1
}

/4990/ {
  if ( $1 ~ /evm/ )
    # indicates that the port is set correctly
	result = 0
  else
    # indicates that the port is in use by some other service
	result = 2
}

/evm/ {
  if ( substr( $2, 1, 4 ) !~ /4990/ )
  	# indicates that evm is assigned to some other port
  	result = 3
}

END {
  print result
}